Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class StepConfig

    java.lang.Object
      com.amazonaws.services.elasticmapreduce.model.StepConfig

    public class StepConfig

extends Object

Specification of a job flow step.

Constructor Summary
`StepConfig()`

Method Summary
`String` | `getActionOnFailure()` Specifies the action to take if the job flow step fails.
`HadoopJarStepConfig` | `getHadoopJarStep()` Specifies the JAR file used for the job flow step.
`String` | `getName()` The name of the job flow step.
`void` | `setActionOnFailure(String actionOnFailure)` Specifies the action to take if the job flow step fails.
`void` | `setHadoopJarStep(HadoopJarStepConfig hadoopJarStep)` Specifies the JAR file used for the job flow step.
`void` | `setName(String name)` The name of the job flow step.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`StepConfig` | `withActionOnFailure(String actionOnFailure)` Specifies the action to take if the job flow step fails.
`StepConfig` | `withHadoopJarStep(HadoopJarStepConfig hadoopJarStep)` Specifies the JAR file used for the job flow step.
`StepConfig` | `withName(String name)` The name of the job flow step.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StepConfig

    public StepConfig()

Method Detail

### getName

    public String getName()

  The name of the job flow step.

  Constraints:
  Length: 1 - 256

  Returns:
    The name of the job flow step.

### setName

    public void setName(String name)

  The name of the job flow step.

  Constraints:
  Length: 1 - 256

  Parameters:
    `name` - The name of the job flow step.

### withName

    public StepConfig withName(String name)

  The name of the job flow step.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 256

  Parameters:
    `name` - The name of the job flow step.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getActionOnFailure

    public String getActionOnFailure()

  Specifies the action to take if the job flow step fails.

  Constraints:
  Pattern: TERMINATE_JOB_FLOW|CANCEL_AND_WAIT|CONTINUE

  Returns:
    Specifies the action to take if the job flow step fails.

### setActionOnFailure

    public void setActionOnFailure(String actionOnFailure)

  Specifies the action to take if the job flow step fails.

  Constraints:
  Pattern: TERMINATE_JOB_FLOW|CANCEL_AND_WAIT|CONTINUE

  Parameters:
    `actionOnFailure` - Specifies the action to take if the job flow step fails.

### withActionOnFailure

    public StepConfig withActionOnFailure(String actionOnFailure)

  Specifies the action to take if the job flow step fails.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: TERMINATE_JOB_FLOW|CANCEL_AND_WAIT|CONTINUE

  Parameters:
    `actionOnFailure` - Specifies the action to take if the job flow step fails.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getHadoopJarStep

    public HadoopJarStepConfig getHadoopJarStep()

  Specifies the JAR file used for the job flow step.

  Returns:
    Specifies the JAR file used for the job flow step.

### setHadoopJarStep

    public void setHadoopJarStep(HadoopJarStepConfig hadoopJarStep)

  Specifies the JAR file used for the job flow step.

  Parameters:
    `hadoopJarStep` - Specifies the JAR file used for the job flow step.

### withHadoopJarStep

    public StepConfig withHadoopJarStep(HadoopJarStepConfig hadoopJarStep)

  Specifies the JAR file used for the job flow step.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `hadoopJarStep` - Specifies the JAR file used for the job flow step.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.